Package oracle.jdbc

## Enum OracleConnection.DatabaseShutdownMode

- java.lang.Object
- - java.lang.Enum<OracleConnection.DatabaseShutdownMode>
  - - oracle.jdbc.OracleConnection.DatabaseShutdownMode

All Implemented Interfaces:
  `Serializable`, `Comparable<OracleConnection.DatabaseShutdownMode>`

Enclosing interface:
  OracleConnection

    public static enum OracleConnection.DatabaseShutdownMode
    extends Enum<OracleConnection.DatabaseShutdownMode>

### Enum Constant Summary

Enum Constants
`ABORT` Does not wait for current calls to complete or users to disconnect from the database.
`CONNECT` Further connects are prohibited.
`FINAL` Shuts down the database.
`IMMEDIATE` Does not wait for current calls to complete or users to disconnect from the database.
`TRANSACTIONAL` Further connects are prohibited and no new transactions are allowed.
`TRANSACTIONAL_LOCAL` Further connects are prohibited and no new transactions are allowed.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getMode()` Implementation detail (for internal use only).
`static OracleConnection.DatabaseShutdownMode` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static OracleConnection.DatabaseShutdownMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CONNECT

    public static final OracleConnection.DatabaseShutdownMode CONNECT

Further connects are prohibited. Waits for users to disconnect from the database.

#### TRANSACTIONAL

    public static final OracleConnection.DatabaseShutdownMode TRANSACTIONAL

Further connects are prohibited and no new transactions are allowed. Waits for active transactions to complete.

#### TRANSACTIONAL_LOCAL

    public static final OracleConnection.DatabaseShutdownMode TRANSACTIONAL_LOCAL

Further connects are prohibited and no new transactions are allowed. Waits only for local transactions to complete.

#### IMMEDIATE

    public static final OracleConnection.DatabaseShutdownMode IMMEDIATE

Does not wait for current calls to complete or users to disconnect from the database. All uncommitted transactions are terminated and rolled back.

#### ABORT

    public static final OracleConnection.DatabaseShutdownMode ABORT

Does not wait for current calls to complete or users to disconnect from the database. All uncommitted transactions are terminated and are not rolled back. This is the fastest possible way to shut down the database, but the next database startup may require instance recovery. Therefore, this option should be used only in unusual circumstances: if a background process terminates abnormally.

#### FINAL

    public static final OracleConnection.DatabaseShutdownMode FINAL

Shuts down the database. Should be used only in the second call to shutdown() after the database is closed and dismounted.

### Method Detail

#### values

    public static OracleConnection.DatabaseShutdownMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OracleConnection.DatabaseShutdownMode c : OracleConnection.DatabaseShutdownMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OracleConnection.DatabaseShutdownMode valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getMode

    public final int getMode()

Implementation detail (for internal use only).